%define module	HTTP-Daemon-SSL
%define version		1.04
%define release		%mkrel 3

Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
Summary:	A simple http server class with SSL support
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Text/%{module}-%{version}.tar.gz
# default port could be in use by the sieve daemon (2000), so
# let's change it to something hopefully free so that make test
# works
Patch:		HTTP-Daemon-SSL-1.01-sslport.patch
BuildRequires:	perl-devel
BuildRequires:	perl-IO-Socket-SSL
BuildRequires:	perl-libwww-perl
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
HTTP::Daemon::SSL is a descendant of HTTP::Daemon that uses SSL
sockets (via IO::Socket::SSL) instead of cleartext sockets. It
also handles SSL-specific problems, such as dealing with HTTP
clients that attempt to connect to it without using SSL.

%prep
%setup -q -n %{module}-%{version} 
%patch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc certs Changes BUGS README
%{perl_vendorlib}/HTTP
%{_mandir}/*/*




%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.04-3mdv2009.0
+ Revision: 257248
- rebuild

* Wed Feb 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2008.1
+ Revision: 166953
- new version
  re-enable tests

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.02-2mdv2008.1
+ Revision: 122706
- kill re-definition of %%buildroot on Pixel's request


* Fri Nov 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-2mdv2007.0
+ Revision: 86969
- rebuild
- Import perl-HTTP-Daemon-SSL

* Fri Sep 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdk
- new version (TODO: fix tests)
- fix sources url for rpmbuildupdate
- fix directory ownership
- better summary

* Fri Jul 15 2005 Andreas Hasenack <andreas@mandriva.com> 1.01-2mdk
- made make test work, thanks rgs

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.01-1mdk
- initial Mandriva package

